MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/audio_parser.h File Reference

Parser functions for audio related objects. More...

`#include <glib.h>`
`#include <stdbool.h>`

Go to the source code of this file.

## Functions
bool | audio_format_parse (struct audio_format *dest, const char *src, bool mask, GError **error_r)
| Parses a string in the form "SAMPLE_RATE:BITS:CHANNELS" into an audio_format.

## Detailed Description

Parser functions for audio related objects.

Definition in file audio_parser.h.

## Function Documentation

bool audio_format_parse | ( | struct audio_format * | dest,
|  | const char * | src,
|  | bool | mask,
|  | GError ** | error_r
| ) |  |

Parses a string in the form "SAMPLE_RATE:BITS:CHANNELS" into an audio_format.

Parameters:

  dest | the destination audio_format struct
  src | the input string
  mask | if true, then "*" is allowed for any number of items
  error_r | location to store the error occuring, or NULL to ignore errors

Returns:
  true on success